export interface TemplateMenuConfig {
  category: string
  title: string
  templateList: {
    title: string
    icon: string
    doc: string
    template: string
  }[]
}

export function templateMenuConfigFactory(): TemplateMenuConfig[] {
  return [
    {
      category: 'Work',
      title: '工作',
      templateList: [
        {
          title: '周报',
          icon: 'icon-yingpingmoban',
          doc: '总结一周的工作成果',
          template:
            '我的职业是【输入职业】，帮我写一份本周的工作周报，内容包含【输入本周工作内容】，下周计划【输入下周工作计划】。',
        },
        {
          title: '日报',
          icon: 'icon-yingpingmoban',
          doc: '每日工作的总结回顾',
          template:
            '我的职业是【输入职业】，帮我写一份今天的工作日报，内容包含【输入今日工作内容】，明日计划【输入明日工作计划】。',
        },
        {
          title: '月报',
          icon: 'icon-yingpingmoban',
          doc: '整月工作的清晰回顾',
          template:
            '我的职业是【输入职业】，帮我写一份本月的工作月报，内容包含【输入本月工作内容】，下月计划【输入下月工作计划】。',
        },
        {
          title: '邮件',
          icon: 'icon-yingpingmoban',
          doc: '高效专业撰写邮件',
          template: '帮我写一封发给【输入发送对象】的邮件，内容是【输入主题】。',
        },
        {
          title: '会议总结',
          icon: 'icon-yingpingmoban',
          doc: '会议内容清晰明了',
          template:
            '帮我写一个讨论【输入会议内容】的会议总结，语气需要正式，内容要包含会议的主要讨论内容、结论，使用Markdown格式。',
        },
      ],
    },

    {
      category: 'BusinessMarketing',
      title: '商务营销',
      templateList: [
        {
          title: '活动策划',
          icon: 'icon-yingpingmoban',
          doc: '高效定制各类策划方案',
          template:
            '我是一名【活动策划师】，帮我写一个【音乐交流活动】的方案，内容包含但不限于策划主题、策划目的、详细计划、所需资源、策划预算、风险应对、效果评估。',
        },
        {
          title: '市场调研',
          icon: 'icon-yingpingmoban',
          doc: '精准洞察市场',
          template:
            '我是一名市场调研专家 ，帮我写一个关于【主题】的市场调研报告，需要包含调研背景与目的、研究方法、市场分析、消费者分析、数据分析与发现、结论与建议等。',
        },
        {
          title: '营销slogan',
          icon: 'icon-yingpingmoban',
          doc: '吸睛创意广告语',
          template: '帮我写5个面向【输入目标人群】宣传【输入品牌商品】的广告营销slogan，简洁明了，富有创意。',
        },
      ],
    },

    {
      category: 'SocialMediaCopywriting',
      title: '社媒文案',
      templateList: [
        {
          title: '小红书',
          icon: 'icon-yingpingmoban',
          doc: '打造小红书吸睛内容',
          template:
            '生成一篇关于【主题】的小红书文案。内容要有标题和正文。标题需为小红书风格，正文适当使用 emoji丰富文案。',
        },
        {
          title: '微博',
          icon: 'icon-yingpingmoban',
          doc: '快速创作微博文案',
          template: '帮我生成一个关于【主题】的微博文案',
        },
        {
          title: '评价',
          icon: 'icon-yingpingmoban',
          doc: '创造个性化评语',
          template: '我想写一段关于【输入评价主题：如书籍评价】的好评，发布在【输入平台】上，字数不少于【100】字。',
        },
      ],
    },

    {
      category: 'LiteratureAndArt',
      title: '文学艺术',
      templateList: [
        {
          title: '诗歌',
          icon: 'icon-yingpingmoban',
          doc: '创作优美动人的诗篇',
          template: '你是一个诗人，帮我创作一首关于【输入主题】的诗歌，使用【输入格式：如四言律诗】的格式。',
        },
        {
          title: '故事',
          icon: 'icon-yingpingmoban',
          doc: '编写有趣吸睛的故事',
          template: '帮我创作一篇关于【输入主题】的故事，要有标题和正文，情节要跌宕起伏，引人入胜，字数在800字左右。',
        },
        // {
        //   title: '',
        //   icon: 'icon-yingpingmoban',
        //   doc: '',
        //   template: '',
        // },
      ],
    },
  ]
}
