export interface AgentApplicationRecordItem {
  agentId: string
  agentTitle: string
  agentAvatar: string
  agentDesc: string
  creator: string
  publishedTime: string
  points: number
  isDocumentParsing: 'Y' | 'N'
  unitIds: string[]
}

export type SmartFormTypes = 'BusinessTripForm'

export interface MessageItemInterface {
  role: 'user' | 'assistant'
  agentId: string
  content: string
  timestamp: number
  isAnswerLoading: boolean
  avatar: string
  name: string
  pluginName?: string
  imageUrl?: string
  reasoningContent: string
  // isDisabledSmartForm?: boolean
  smartFormInfo?: {
    type: SmartFormTypes
    isDisabled: boolean
    params: string
  }
}
